import { ParticipantEvent } from '../../common/types/events.types';
import { type Participant } from '../../common/types/participant.types';
import { SuperVizSdkOptions } from '../../common/types/sdk-options.types';
export interface DefaultLauncher {
}
export interface LauncherOptions extends Omit<SuperVizSdkOptions, 'environment' | 'debug' | 'roomId'> {
}
type LauncherSubscribe = {
    (event: `${ParticipantEvent.SAME_ACCOUNT_ERROR}`, callback: () => void): any;
    (event: `${ParticipantEvent.LOCAL_JOINED}`, callback: (participant: Participant) => void): any;
    (event: `${ParticipantEvent.JOINED}`, callback: (participant: Participant) => void): any;
    (event: `${ParticipantEvent.LOCAL_LEFT}`, callback: (participant: Participant) => void): any;
    (event: `${ParticipantEvent.LEFT}`, callback: (participant: Participant) => void): any;
    (event: `${ParticipantEvent.LIST_UPDATED}`, callback: (participant: Participant[]) => void): any;
    (event: `${ParticipantEvent.LOCAL_UPDATED}`, callback: (participant: Participant) => void): any;
    (event: string, callback: (data: any) => void): any;
};
export type LauncherUnsubscribe = {
    (event: `${ParticipantEvent.SAME_ACCOUNT_ERROR}`, callback?: () => void): any;
    (event: `${ParticipantEvent.LOCAL_JOINED}`, callback?: (participant: Participant) => void): any;
    (event: `${ParticipantEvent.JOINED}`, callback?: (participant: Participant) => void): any;
    (event: `${ParticipantEvent.LOCAL_LEFT}`, callback?: (participant: Participant) => void): any;
    (event: `${ParticipantEvent.LEFT}`, callback?: (participant: Participant) => void): any;
    (event: `${ParticipantEvent.LIST_UPDATED}`, callback?: (participant: Participant[]) => void): any;
    (event: `${ParticipantEvent.LOCAL_UPDATED}`, callback?: (participant: Participant) => void): any;
    (event: string, callback?: (data: any) => void): any;
};
export interface LauncherFacade {
    subscribe: LauncherSubscribe;
    unsubscribe: LauncherUnsubscribe;
    destroy: () => void;
    addComponent: (component: any) => void;
    removeComponent: (component: any) => void;
}
export {};
