import { Annotation } from '../../components/comments/types';
import { ComponentLimits } from '../limits/types';
import { AnnotationParams, CommentParams, CreateParticipantParams, FetchAnnotationsParams, MentionParams } from './types';
export default class ApiService {
    static createUrl(baseUrl: string, path: string, query?: {}): string;
    static validateApiKey(baseUrl: string, apiKey: string): Promise<any>;
    static fetchConfig(baseUrl: string, apiKey: string): Promise<any>;
    static fetchLimits(baseUrl: string, apikey: string): Promise<ComponentLimits>;
    static fetchWaterMark(baseUrl: string, apiKey: string): Promise<any>;
    static createAnnotations(baseUrl: string, apiKey: string, annotations: AnnotationParams): Promise<any>;
    static updateComment(baseUrl: string, apiKey: string, commentId: string, text: string): Promise<any>;
    static createComment(baseUrl: string, apiKey: string, comment: CommentParams): Promise<any>;
    static fetchAnnotation(baseUrl: string, apiKey: string, query: FetchAnnotationsParams): Promise<any>;
    static resolveAnnotation(baseUrl: string, apiKey: string, annotationId: string): Promise<Annotation>;
    static deleteComment(baseUrl: string, apiKey: string, commentId: string): Promise<any>;
    static deleteAnnotation(baseUrl: string, apiKey: string, annotationId: string): Promise<any>;
    static createParticipant(participant: CreateParticipantParams): Promise<void>;
    static fetchParticipant(id: string): Promise<any>;
    static sendActivity(userId: string, groupId: string, groupName: string, product: string): Promise<any>;
    static fetchParticipantsByGroup(groupId: string): Promise<any>;
    static createMentions(mentionParams: MentionParams): Promise<any>;
}
