import { BehaviorSubject } from 'rxjs';
import { PublicSubject } from '../common/types';
export declare class Subject<T> {
    state: T;
    private firstState;
    private subject;
    private subscriptions;
    constructor(state: T, subject: BehaviorSubject<T>);
    private getValue;
    private setValue;
    subscribe: (subscriptionId: string | this, callback: (value: T) => void) => void;
    unsubscribe(subscriptionId: string): void;
    destroy(): void;
    private restart;
    expose(): PublicSubject<T>;
}
export default function subject<T>(initialState: T): Subject<T>;
