import { WhoIsOnlineParticipant } from '../../../components/who-is-online/types';
import { Following } from './types';
export declare class WhoIsOnlineStore {
    disablePresenceControls: import("../subject").Subject<boolean>;
    disableGoToParticipant: import("../subject").Subject<boolean>;
    disableFollowParticipant: import("../subject").Subject<boolean>;
    disablePrivateMode: import("../subject").Subject<boolean>;
    disableGatherAll: import("../subject").Subject<boolean>;
    disableFollowMe: import("../subject").Subject<boolean>;
    participants: import("../subject").Subject<WhoIsOnlineParticipant[]>;
    extras: import("../subject").Subject<WhoIsOnlineParticipant[]>;
    joinedPresence: import("../subject").Subject<boolean>;
    everyoneFollowsMe: import("../subject").Subject<boolean>;
    privateMode: import("../subject").Subject<boolean>;
    following: import("../subject").Subject<Following>;
    constructor();
    destroy(): void;
}
export declare function useWhoIsOnlineStore(): {
    disablePresenceControls: import("../common/types").PublicSubject<boolean>;
    disableGoToParticipant: import("../common/types").PublicSubject<boolean>;
    disableFollowParticipant: import("../common/types").PublicSubject<boolean>;
    disablePrivateMode: import("../common/types").PublicSubject<boolean>;
    disableGatherAll: import("../common/types").PublicSubject<boolean>;
    disableFollowMe: import("../common/types").PublicSubject<boolean>;
    participants: import("../common/types").PublicSubject<WhoIsOnlineParticipant[]>;
    extras: import("../common/types").PublicSubject<WhoIsOnlineParticipant[]>;
    joinedPresence: import("../common/types").PublicSubject<boolean>;
    everyoneFollowsMe: import("../common/types").PublicSubject<boolean>;
    privateMode: import("../common/types").PublicSubject<boolean>;
    following: import("../common/types").PublicSubject<Following>;
    destroy: () => void;
};
export type WhoIsOnlineStoreReturnType = ReturnType<typeof useWhoIsOnlineStore>;
