import { CSSResultGroup, LitElement, PropertyValueMap } from 'lit';
import { ParticipantByGroupApi } from '../../../common/types/participant.types';
import { Annotation } from '../../../components/comments/types';
declare const WebComponentsBaseElement: import("../../base/types").Constructor<import("../../base/types").WebComponentsBaseInterface> & typeof LitElement;
export declare class CommentsAnnotationItem extends WebComponentsBaseElement {
    static styles: CSSResultGroup[];
    annotation: Annotation;
    expandComments: boolean;
    selected: string;
    resolved: boolean;
    shouldShowUndoResolved: boolean;
    isLastAnnotation: boolean;
    annotationFilter: string;
    participantsList: ParticipantByGroupApi[];
    hideInput: boolean;
    static properties: {
        annotation: {
            type: ObjectConstructor;
        };
        expandComments: {
            type: BooleanConstructor;
        };
        selected: {
            type: StringConstructor;
            reflect: boolean;
        };
        resolved: {
            type: BooleanConstructor;
        };
        shouldShowUndoResolved: {
            type: BooleanConstructor;
        };
        isLastAnnotation: {
            type: BooleanConstructor;
        };
        annotationFilter: {
            type: StringConstructor;
        };
        participantsList: {
            type: ObjectConstructor;
        };
        hideInput: {
            type: BooleanConstructor;
        };
    };
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    private get filterIsAll();
    private get filterIsResolved();
    private get shouldHideAnnotation();
    private get replies();
    private get repliesSize();
    private get replyText();
    private get isSelected();
    private get annotationClasses();
    private get mainAnnotationClasses();
    private get hrClasses();
    private get avatarCommentsClasses();
    private get containerWrapperClasses();
    private get commentsClasses();
    protected updated(changedProperties: Map<string | number | symbol, unknown>): void;
    private selectAnnotation;
    private createComment;
    private resolveAnnotation;
    private hideUndoResolved;
    private generateAvatarCommentsTemplate;
    private generateExpandedCommentsTemplate;
    private annotationResolvedTemplate;
    private updateEditMode;
    private get inputClasses();
    private get wrapperClasses();
    protected render(): import("lit").TemplateResult<1>;
}
export {};
