import { CSSResultGroup, LitElement, PropertyValueMap } from 'lit';
import { ParticipantByGroupApi } from '../../../common/types/participant.types';
import { CommentMode } from './types';
declare const WebComponentsBaseElement: import("../../base/types").Constructor<import("../../base/types").WebComponentsBaseInterface> & typeof LitElement;
export declare class CommentsCommentItem extends WebComponentsBaseElement {
    constructor();
    static styles: CSSResultGroup[];
    uuid: string;
    annotationId?: string;
    username: string;
    text: string;
    resolved: boolean;
    createdAt: string;
    resolvable: boolean;
    mode: CommentMode;
    deleteCommentModalOpen: boolean;
    primaryComment: boolean;
    isSelected: boolean;
    annotationFilter: string;
    participantsList: ParticipantByGroupApi[];
    mentions: ParticipantByGroupApi[];
    avatar: string;
    class: string;
    static properties: {
        uuid: {
            type: StringConstructor;
        };
        annotationId: {
            type: StringConstructor;
        };
        avatar: {
            type: StringConstructor;
        };
        username: {
            type: StringConstructor;
        };
        text: {
            type: StringConstructor;
        };
        resolved: {
            type: BooleanConstructor;
        };
        resolvable: {
            type: BooleanConstructor;
        };
        createdAt: {
            type: StringConstructor;
        };
        mode: {
            type: StringConstructor;
        };
        deleteCommentModalOpen: {
            type: BooleanConstructor;
        };
        primaryComment: {
            type: BooleanConstructor;
        };
        isSelected: {
            type: BooleanConstructor;
        };
        annotationFilter: {
            type: StringConstructor;
        };
        participantsList: {
            type: ObjectConstructor;
        };
        mentions: {
            type: ArrayConstructor;
        };
        class: {
            type: StringConstructor;
        };
    };
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private unselectAnnotationEsc;
    private unselectAnnotation;
    private selectAnnotation;
    private updateComment;
    private resolveAnnotation;
    private confirmDelete;
    private closeEditMode;
    private getAvatar;
    private getClasses;
    protected render(): import("lit").TemplateResult<1>;
}
export {};
