import { CSSResultGroup, LitElement, PropertyValueMap } from 'lit';
import { ParticipantByGroupApi } from '../../common/types/participant.types';
import { Annotation, CommentsSide, Offset } from '../../components/comments/types';
import { AnnotationFilter } from './components/types';
declare const WebComponentsBaseElement: import("../base/types").Constructor<import("../base/types").WebComponentsBaseInterface> & typeof LitElement;
export declare class Comments extends WebComponentsBaseElement {
    static styles: CSSResultGroup[];
    open: boolean;
    annotations: Annotation[];
    annotationFilter: AnnotationFilter;
    waterMarkState: boolean;
    side: CommentsSide;
    participantsList: ParticipantByGroupApi[];
    offset: Offset;
    static properties: {
        open: {
            type: BooleanConstructor;
        };
        annotations: {
            type: ObjectConstructor;
        };
        annotationFilter: {
            type: StringConstructor;
        };
        waterMarkState: {
            type: BooleanConstructor;
        };
        side: {
            type: StringConstructor;
        };
        participantsList: {
            type: ObjectConstructor;
        };
        offset: {
            type: ObjectConstructor;
        };
    };
    constructor();
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    protected updated(changedProperties: Map<string, any>): void;
    participantsListed(participants: ParticipantByGroupApi[]): void;
    updateAnnotations(data: Annotation[]): void;
    private close;
    waterMarkStatus(waterMark: boolean): void;
    private setFilter;
    private getOffset;
    private applyOffset;
    private get poweredBy();
    protected render(): import("lit").TemplateResult<1>;
}
export {};
