import { CSSResultGroup, LitElement, PropertyValueMap } from 'lit';
import { DropdownOption } from './types';
declare const WebComponentsBaseElement: import("../base/types").Constructor<import("../base/types").WebComponentsBaseInterface> & typeof LitElement;
export declare class Dropdown extends WebComponentsBaseElement {
    static styles: CSSResultGroup[];
    open: boolean;
    disabled: boolean;
    align: 'left' | 'right';
    options: DropdownOption[];
    returnData: {
        [k: string]: any;
    };
    icons?: string[];
    name?: string;
    tooltipData: {
        name: string;
        action: string;
    };
    shiftTooltipLeft: boolean;
    lastParticipant: boolean;
    classesPrefix: string;
    parentComponent: string;
    tooltipPrefix: string;
    dropdown: HTMLElement;
    showTooltip: boolean;
    canShowTooltip: boolean;
    private menu;
    private animationFrame;
    static properties: {
        open: {
            type: BooleanConstructor;
        };
        disabled: {
            type: BooleanConstructor;
        };
        align: {
            type: StringConstructor;
        };
        options: {
            type: ArrayConstructor;
        };
        icons: {
            type: ArrayConstructor;
        };
        name: {
            type: StringConstructor;
        };
        tooltipData: {
            type: ObjectConstructor;
        };
        showTooltip: {
            type: BooleanConstructor;
        };
        dropdown: {
            type: ObjectConstructor;
        };
        canShowTooltip: {
            type: BooleanConstructor;
        };
        drodpdownSizes: {
            type: ObjectConstructor;
        };
        shiftTooltipLeft: {
            type: BooleanConstructor;
        };
        lastParticipant: {
            type: BooleanConstructor;
        };
        classesPrefix: {
            type: StringConstructor;
        };
        parentComponent: {
            type: StringConstructor;
        };
        tooltipPrefix: {
            type: StringConstructor;
        };
        returnData: {
            type: ObjectConstructor;
        };
    };
    constructor();
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    disconnectedCallback(): void;
    protected updated(changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    private onClickOutDropdown;
    private close;
    private callbackSelected;
    private setHorizontalPosition;
    private setPositionVertical;
    private adjustPosition;
    private get renderHeader();
    private toggle;
    private getIcon;
    private getLabel;
    private get listOptions();
    private tooltip;
    private getClass;
    protected render(): import("lit").TemplateResult<1>;
}
export {};
