import { CSSResultGroup, LitElement, PropertyValueMap } from 'lit';
import { VerticalSide, HorizontalSide } from './types';
declare const WebComponentsBaseElement: import("../../base/types").Constructor<import("../../base/types").WebComponentsBaseInterface> & typeof LitElement;
export declare class WhoIsOnlineDropdown extends WebComponentsBaseElement {
    static styles: CSSResultGroup[];
    open: boolean;
    align: HorizontalSide;
    position: VerticalSide;
    selected: string;
    disableDropdown: boolean;
    showSeeMoreTooltip: boolean;
    showParticipantTooltip: boolean;
    localParticipantJoinedPresence: boolean;
    dropdownList: HTMLElement;
    private participants;
    private animationFrame;
    static properties: {
        open: {
            type: BooleanConstructor;
        };
        align: {
            type: StringConstructor;
        };
        position: {
            type: StringConstructor;
        };
        selected: {
            type: StringConstructor;
        };
        disableDropdown: {
            type: BooleanConstructor;
        };
        showSeeMoreTooltip: {
            type: BooleanConstructor;
        };
        showParticipantTooltip: {
            type: BooleanConstructor;
        };
        localParticipantJoinedPresence: {
            type: BooleanConstructor;
        };
        dropdownList: {
            type: ObjectConstructor;
        };
    };
    constructor();
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    protected updated(changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    private onClickOutDropdown;
    private close;
    private selectParticipant;
    private getAvatar;
    private toggleShowTooltip;
    private renderParticipants;
    private toggle;
    private get menuClasses();
    private tooltip;
    private repositionDropdown;
    private repositionInVerticalDirection;
    private repositionInHorizontalDirection;
    protected render(): import("lit").TemplateResult<1>;
}
export {};
